=== debian/changelog ===
moblin-image-creator (0.29gutsy1) gutsy; urgency=low

  * Upload targetted at gutsy.
  * Make apt_cmd in Project.py just set Dir::Etc when calling apt.  This
    ensures our sources.list.d directory gets correctly picked up.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 08 Oct 2007 15:38:50 +0200

moblin-image-creator (0.29) gutsy; urgency=low

  [ John L. Villalovos ]
  * Add a .img into the input box for creating an image.  Also made a single
    function for querying the user for the name of an image.

  [ Prajwal Mohan <prajwal@linux.intel.com> ]
  * Added Write USB Image to menu. This will allow users to burn any image to
    USB drive.

  [ Bob Spencer ]
  * Added moblin-notes to staging fset 

  [ Tollef Fog Heen ]
  * Update fsets to depend on linux-lpia|linux-generic (or
    linux-lpia|linux-ume as appropriate) so lpia works better.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue, 25 Sep 2007 19:42:26 +0200

moblin-image-creator (0.28) gutsy; urgency=low

  [ John L. Villalovos ]
  * Really change over to using /proc/mounts instead of /etc/mtab.  Forget to
    actually commit the file last time.
  * Adding in our config file processing stuff
  * Adding in our default config file
  * Deleting library that wasn't needed.  Also deleted some extraneous
    functions.
  * fixing up mic_cfg.py.  Just some cleanup.
  * Putting new config system in place.  Fingers are crossed.
  * Removing very very verbose messages on error.
  * Give a warning if people are using the old ~/.image-creator/platforms.cfg
    file.
  * Decided to use [platform] rather than [bootstrap] seemed more appropriate
    as I added a few more options.
  * Added an [installimage] section to the config
  * Make our umount function use the pdk_utils.getMountInfo() function.  This
    function uses /proc/mounts to determine the mounts on the system.
    Hopefully this will do a better job in umounting stuff
  * Fix issue with misspelled variable
  * Convert fset names on the command line to lowercase.
  * Fix indenation error that was causing our retries to fail
  * Previous fix uncovered a bug in resetting an environement error.  Fixing
    that.
  * Update so that both platforms are using galculator.
  * Added a debug option to the config file, well make more extensive use of
    it in the future.
  * More debug option work.
  * Bob likes to use symbolic links, this seems to cause issues.  So putting
    in an attempted fix for that.
  * More fixing for symbolic links
  * Add a "progress bar" when writing an image to a USB drive.
  * Removed ISO buttons.  Also cleaned up the UI a little bit.  Hopefully text
    will not be cut-off on the buttons anymore.
  * Fix the pixmap to be MIC rather than PB.
  * We now umount all of our mounts upon quitting.
  * Minor changes to GUI layout
  * Add the README to the documentation in the debian package
  * Created an SDK umount() function which takes care of umounting all the
    projects that the SDK knows about.  Now call this function from the GUI,
    rather than having the GUI iterate through the projects and umounting
    them.
  * Make the command line version also umount all of our mounts upon exit.
  * Create the (chroot)/etc/debian_chroot file when doing a chroot from the
    GUI.  So you can more easily tell which terminal is a chroot.
  * Clean up the command line completion code.  Added --run-command and
    deleted the ones relating to ISO creation, since we don't do that.
  * Edited the options that image-creator accepts.  Deleted the ISO ones.
    Also made it so that commands can be easily sorted in the text editor.
  * Fix error from previous commit.  Also starting work on save and load
    project feature
  * Make sure the callback feature gets called for progress indication
  * Work in progress on adding a save-project command.  Basic functionality
    works from the image-creator command line.
  * Improving the execCommand() function so that it won't block and then cause
    our throbber to stop.  Also improved some of the exception printing.
  * Changing the code in relation to the callback for the progress/throbber
    bar.  Just making it simpler.
  * Who knew that writing an execCommand() function would be so complicated :(
    Work continues.
  * Try to minimize the time that the throbber stops during image creation.
  * Add a little more documentation to the config file.
  * Added a generated [userinfo] section to the config information.  It is NOT
    in any of the config files but is generated by mic_cfg.py.  Purpose of
    this is so that we have away of knowing what user we really are even if we
    do a sudo.
  * Added the load-project functionality to the command line

  [ Tollef Fog Heen ]
  * Add support for setting the architecture from the configuration file.

  [ Prajwal Mohan ]
  * Killing USB selection dialog for progress bar shows up in the front

 -- John L. Villalovos <john.l.villalovos@intel.com>  Tue, 18 Sep 2007 16:11:52 -0700

moblin-image-creator (0.27) gutsy; urgency=low

  [ Alek Du ]
  * Add pm-utils and vbetool to fset for S3/S4 support
  * Remove unnecessary busybox-initramfs workaround since mount --bind works again
  * Add nolapic_timer to mccaslin kernel cmdline to workaround S3/S4 issue
  * Add libhildon-1-dev and libhildonfm2-dev to project root, since QA guys need 
    them for ABAT cases

  [ John L. Villalovos ]
  * Created a global variable that specifies the size of the ext3 filesystem
    on a liveRW USB image.  Might move this into a config file in the future.
  * Fix broken "clear-rootstraps" command
  * Trying to fix issue where thousands and thousands of extra new-lines are
    printed.
  * Changed way we clean up the /var/apt/cache/archives of the bootstraps, to
    use the 'apt-get clean' command in a chroot environment.
  * Creating the ~/.image-creator/ directory if it does not exist.
  * Make it so that you can do a terminal in a target, once the target is
    created.

