## moblin-image-creator 0.44+repack

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 SHAREDIR = /usr/share/pdk/
+VARDIR = /var/lib/moblin-image-creator
 
 VERSION = 0.1
 all:
@@ -17,21 +18,24 @@
 	@echo "Installing platform definitions..."
 	@${MAKE} -C platforms install
 	@echo -n "Installing moblin-image-creator..."
+	@mkdir -p ${DESTDIR}/${VARDIR}
 	@mkdir -p ${DESTDIR}/${SHAREDIR}/default_config
 	@mkdir -p ${DESTDIR}/${SHAREDIR}/lib
 	@mkdir -p ${DESTDIR}/${SHAREDIR}/locale
 	@mkdir -p ${DESTDIR}/${SHAREDIR}/projects
 	@mkdir -p ${DESTDIR}/${SHAREDIR}/utils
-	@mkdir -p ${DESTDIR}/${SHAREDIR}/debootstrap-scripts
-	@cp utils/gutsy ${DESTDIR}/${SHAREDIR}/debootstrap-scripts
+	@head -n 1 debian/changelog > ${DESTDIR}/${SHAREDIR}/version
 	@cp libs/*.py  ${DESTDIR}/${SHAREDIR}/lib
 	@cp gui/*.py  ${DESTDIR}/${SHAREDIR}/lib
 	@cp gui/*.glade ${DESTDIR}/${SHAREDIR}
+	@cp gui/*.png ${DESTDIR}/${SHAREDIR}
+	@cp gui/newFeature ${DESTDIR}/${SHAREDIR}
 	@cp COPYING ${DESTDIR}/${SHAREDIR}/
 	@cp -a gui/pixmaps/. ${DESTDIR}/${SHAREDIR}
 	@cp default_config/defaults.cfg ${DESTDIR}/${SHAREDIR}/default_config/
-	@mkdir -p ${DESTDIR}/usr/sbin
-	@cp image-creator ${DESTDIR}/usr/sbin/
+	@mkdir -p ${DESTDIR}/usr/bin
+	@rm -f ${DESTDIR}/usr/sbin/image-creator
+	@cp image-creator ${DESTDIR}/usr/bin/
 	@mkdir -p ${DESTDIR}/etc/bash_completion.d/
 	@cp utils/image-creator-completion.bash ${DESTDIR}/etc/bash_completion.d/
 	@mkdir -p ${DESTDIR}/${SHAREDIR}/gnome/help/image-creator/
@@ -52,12 +56,13 @@
 	@rm -f *.pyc
 	@rm -f unittest/*.pyc
 	@find -name \*~ -exec rm -f {} \;
+	@${MAKE} -C platforms clean
 	@echo "Done"
 
 # Cleans out the installation target
 cleanall: clean
-	@${MAKE} -C platforms clean
 	@echo -n "Removing previously installed files..."
+	@rm -rfv ${DESTDIR}/${VARDIR}/rootstraps
 	@rm -rf ${DESTDIR}/${SHAREDIR}/gnome
 	@rm -rf ${DESTDIR}/${SHAREDIR}/lib
 	@rm -rf ${DESTDIR}/${SHAREDIR}/locale
@@ -68,12 +73,12 @@
 	@rm -f ${DESTDIR}/etc/bash_completion.d/image-creator-completion.bash
 	@rm -rf ${DESTDIR}/${SHAREDIR}/utils
 	@rm -f ${DESTDIR}/usr/share/applications/image-creator.desktop
-	@apt-get clean
 	@echo "Done"
 
 # Run the unit tests which run fairly quickly
 runbasictests:
 	@echo "Running basic unit tests..."
+	unittest/testMoblin_apt.py
 	unittest/test_fsets.py
 	unittest/testProject.py
 	unittest/testSdk.py
@@ -83,3 +88,14 @@
 runalltests: runtests
 	@echo "Running unit tests that take a long time..."
 	unittest/testInstallImage.py
+
+uninstall: cleanall
+	@echo "Uninstalling moblin-image-creator..."
+	@rm -f ${DESTDIR}/${SHAREDIR}/*.png
+	@rm -f ${DESTDIR}/${SHAREDIR}/*.xcf
+	@rm -f ${DESTDIR}/${SHAREDIR}/*.xpm
+	@rm -f ${DESTDIR}/${SHAREDIR}/README
+	@rm -f ${DESTDIR}/${SHAREDIR}/COPYING
+	@rm -f ${DESTDIR}/${SHAREDIR}/version
+	@find ${DESTDIR}/${SHAREDIR}/projects -type f -exec echo Project found: {} \;
+	@echo "Done"
